package com.aizuda.boot.modules.flw.mapper;

import com.aizuda.boot.modules.flw.entity.dto.ProcessTaskDTO;
import com.aizuda.boot.modules.flw.entity.vo.FlwProcessVO;
import com.aizuda.boot.modules.flw.entity.vo.PendingApprovalTaskVO;
import com.aizuda.boot.modules.flw.entity.vo.ProcessTaskVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FlowlongMapper {

    List<FlwProcessVO> selectFlwProcessList();

    /**
     * 待认领任务分页列表
     */
    Page<ProcessTaskVO> selectPagePendingClaim(Page page, @Param("dto") ProcessTaskDTO dto);

    /**
     * 待审批任务分页列表
     */
    Page<PendingApprovalTaskVO> selectPagePendingApproval(Page page, @Param("dto") ProcessTaskDTO dto);

    /**
     * 我的申请任务分页列表
     */
    Page<ProcessTaskVO> selectPageMyApplication(Page page, @Param("dto") ProcessTaskDTO dto);

    /**
     * 我收到的任务分页列表
     */
    Page<ProcessTaskVO> selectPageMyReceived(Page page, @Param("dto") ProcessTaskDTO dto);

    /**
     * 已审批任务分页列表
     */
    Page<ProcessTaskVO> selectPageApproved(Page page, @Param("dto") ProcessTaskDTO dto);

}
